//due date modal
.due-date{
    // first step
    border-radius: 20px;
    &__header{
        background: $blue;
        justify-content: center;
        color: $white-nutri;
        font-family: "GothamRounded-Medium";
        border-top-left-radius: 2rem;
        border-top-right-radius: 2rem;
    }
    &__content{
        border-radius: 2.2rem;
    }
    &__body{
        &-figure{
            text-align: center;
            img{
                width: 200px;
                height: auto;
            }
        }
        &-calendar{
            margin-bottom: 15px;
            &-wrapper{
                position: relative;
                img{
                    position: absolute;
                    top: 5px;
                    right: 10px;
                }
                input{
                    border: solid $blue 1px;
                }
            }
        }
        &-dropdown{
            #drop-down-trigger{
                text-align: left;
                background-color: $white;
                color: $black;
                display: flex;
                align-self: center;
                font-size: 16px;
                font-family: "GothamRounded-Book";
                justify-content: space-between;
                border-color: solid $blue 2px;
            }
            .dropdown-toggle{
                align-items: center;
            }
            .btn{
                border: solid $blue 1px;
            }
            select{
                -moz-appearance:none; /* Firefox */
                -webkit-appearance:none; /* Safari and Chrome */
                appearance:none;
                border: solid $blue 1px;
            }
            &-option{
                font-family: "GothamRounded-Medium";
            }
        }
        label{
            color: $blue;
            font-family: "GothamRounded-Book";
            font-size: 12px;
        }
    }
    &__dropdown{
        &-wrapper{
            position: relative;
            img{
                position: absolute;
                top: 5px;
                right: 10px;
            }
        }
    }
    &__footer{
        justify-content: center;
        border-top: none;
        button{
            background-color: $bluesky-nutri;
            color: $white;
            font-size: 12px;
        }
        a{
            background-color: $bluesky-nutri;
            color: $white;
            font-size: 12px;
        }
    }
    .is-invalid{
        background-image: none;
    }
}

.second-step{
    .due-date__header{
        background-color: $white;
        color: $blue;
        border-bottom: solid #ECEFF1 3px;
    }
    &__item{
        border-bottom: solid #ECEFF1 3px;
        margin-top: 1rem;
        &-heading{
            text-align: center;
            font-size: 16px;
            color: $blue;
            font-family: "GothamRounded-Medium";
        }
        &-date{
            font-family: "GothamRounded-Book";
            font-size: 14px;
            text-align: center;
            color: #5F5F5F;
        }
    }
    .result{
        display: flex;
        justify-content: center;
        margin-bottom: 0.5rem;
        border: solid #1E68B3 2px;
        border-radius: 8px;
        &__text{
            p{
                font-family: "GothamRounded-Book";
                font-size: 14px;
                margin-bottom: 0;
                padding: 0.5rem;
            }
        }
    }
}
// end of due date modal

// modal is birth
.isBirth {
    // first step
    border-radius: 20px;
    &__header{
        background: $blue;
        justify-content: center;
        color: $white-nutri;
        font-family: "GothamRounded-Medium";
        border-top-left-radius: 2rem;
        border-top-right-radius: 2rem;
    }
    &__content{
        border-radius: 2.2rem;
    }
    &__body{
        &-figure{
            text-align: center;
            img{
                width: 200px;
                height: auto;
                margin-bottom: 23.2px;
            }
        }
        &-heading{
            p{
                text-align: center;
                font-size: 20px;
                font-family: "GothamRounded-Medium";
                color: $blue;
                margin: 0;
            }
        }
        label{
            color: $blue;
            font-family: "GothamRounded-Book";
            font-size: 12px;
        }
    }
    &__footer{
        justify-content: center;
        border-top: none;
        flex-direction: column;
        button{
            background-color: $bluesky-nutri;
            color: $white;
            width: 152px;
            font-size: 16px;
            margin: 0 0 1rem 0;
        }
        a{
            background-color: $bluesky-nutri;
            color: $white;
            width: 152px;
            font-size: 16px;
            margin: 0 0 1rem 0;
        }
    }

}
// end of is birth modal
